package speiger.src.coreengine.platform.graphics.api.texture;

import speiger.src.coreengine.platform.graphics.api.utils.GraphicsResource;

public abstract class Texture implements GraphicsResource {
	final TextureSettings settings;
	int width;
	int height;
	
	public Texture(TextureSettings settings, int width, int height) {
		this.settings = settings;
		this.width = width;
		this.height = height;
	}
	
	public int width() {
		return width;
	}
	
	public int height() {
		return height;
	}
	
	public TextureSettings settings() {
		return settings;
	}
	
}
